Bug 174 - The makefile can't find libraries in /usr/local
The makefile can't find libraries in /usr/local
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.0preX
All Solaris
: P2 normal
: none
Assigned To: Tim Potter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-17 01:02 UTC by Patrik Gustavsson
Modified: 2005-11-14 09:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrik Gustavsson 2003-06-17 01:02:55 UTC
I have kerberos and ldap include files and libraries installed in /usr/local.

Run the configure whith the following arguments:

env CPPFLAGS="-I/usr/local/include" LDFLAGS="-L/usr/local/lib" ./configure --with-
winbind--with-acl-support --with-pam --with-ldap --with-krb5=/usr/local -with-a
ds

That works.

But when running make ld can't find krb5- and ldap libraries.

I had to change the Makefile.

From:
PASSDBLIBS= -llber -lldap
ADSLIBS= -llber -lldap  -lkrb5 -lcom_err -lk5crypto -lresolv -lkrb5 -lgssapi_krb5
KRB5LIBS= -lkrb5 -lcom_err -lk5crypto -lresolv -lkrb5 -lgssapi_krb5

To:
PASSDBLIBS=  -L /usr/local/lib -llber -lldap
ADSLIBS= -L /usr/local/lib -llber -lldap  -lkrb5 -lcom_err -lk5crypto -lresolv
-lkrb5 -lgssapi_krb5

KRB5LIBS= -L /usr/local/lib -lkrb5 -lcom_err -lk5crypto -lresolv -lkrb5
-lgssapi_krb5
Comment 1 Tim Potter 2003-06-19 22:28:21 UTC
Hmm - on my system Samba's configure discoveres LDAP libraries installed in
/usr/local/lib but the linker doesn't seem them at link type presumably because
ld.so.conf doesn't include /usr/local/lib:

[tpot@proforma source]$ ldd bin/smbd
        liblber.so.2 => not found
        libldap.so.2 => not found
        libkrb5.so.3 => /usr/kerberos/lib/libkrb5.so.3 (0x40016000)
        libcom_err.so.3 => /usr/kerberos/lib/libcom_err.so.3 (0x40073000)
        libk5crypto.so.3 => /usr/kerberos/lib/libk5crypto.so.3 (0x40075000)
        libresolv.so.2 => /lib/libresolv.so.2 (0x40085000)
        libgssapi_krb5.so.2 => /usr/kerberos/lib/libgssapi_krb5.so.2 (0x40096000)
        libcrypt.so.1 => /lib/libcrypt.so.1 (0x400a9000)
        libnsl.so.1 => /lib/libnsl.so.1 (0x400d6000)
        libdl.so.2 => /lib/libdl.so.2 (0x400ea000)
        libpopt.so.0 => /usr/lib/libpopt.so.0 (0x400ed000)
        libc.so.6 => /lib/libc.so.6 (0x400f5000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)

I'm not sure how configure discovers stuff in /usr/local/lib even when not asked to.
Comment 2 Tim Potter 2003-07-22 20:18:56 UTC
The LDAP/Kerberos code has undergone significant revision since this bug was
filed.  Can you please retest against the latest CVS?
Comment 3 Gerald (Jerry) Carter 2003-08-15 18:44:38 UTC
This should be fixed now.  I know Volker uses non-standard 
include paths.  So /usr/local/should be ok. 
Comment 4 Gerald (Jerry) Carter 2005-02-07 08:39:25 UTC
originally reported against 3.0.0beta1.  CLeaning out 
non-production release versions.
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:27:03 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 6 Gerald (Jerry) Carter 2005-11-14 09:30:45 UTC
database cleanup